package kr.co.jinwoosi.clfd.framework.security.service.impl;

import javax.annotation.Resource;

import kr.co.jinwoosi.clfd.framework.base.service.impl.BaseServiceImpl;
import org.springframework.stereotype.Service;

import kr.co.jinwoosi.clfd.framework.security.mapper.RoleMapper;
import kr.co.jinwoosi.clfd.framework.security.model.Role;
import kr.co.jinwoosi.clfd.framework.security.service.RoleService;

@Service(value="roleService")
public class RoleServiceImpl extends BaseServiceImpl<Role, Role, RoleMapper> implements RoleService {

	@Override
	@Resource(name = "roleMapper")
	protected void setMapper(RoleMapper mapper) {
		super.setMapper(mapper);
	}

	@Override
	public Integer existCount(Role role) {
		return mapper.existCount(role);
	}

	
}
